Subject: ENCY 95

From: Roy Neeve <[email-masked]>
Date: 26 Jan 1995 07:20:55 GMT

ENCY 95 is the European Nature Conservation Year 95 and I am interested 
in getting in contact with other European Butterfly Conservation 
Organisations  with a view to "twinning".
 
Please e-mail at [email-masked] if you are involved with ENCY95.